[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CMBiDiModeChanged

Handles a CM_BIDIMODECHANGED control message for the control.

## Declaration

Source position: controls.pp line 2196

`protected procedure TWinControl.CMBiDiModeChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message examined and handled in the method.

## Description

CMBiDiModeChanged is an overridden method in TWinControl used to handle a CM_BIDIMODECHANGED control message received for the control. It calls the inherited method on entry to invalidate the control when needed. It extends the inherited method to notify child controls of the change using a CM_PARENTBIDIMODECHANGED message.

If a handle has been allocated in the widgetset class instance, its SetBiDiMode method is called to reflect the values from UseRightToLeftAlignment, UseRightToLeftReading, and UseRightToLeftScrollBar.

AdjustSize is called to update the sizes for parent and child controls after the property value has been changed.